Create data dashboard

Create data dashboards and connect data sources.

HTTP
POST $CLOUDSIGMA_API_BASE/data-dashboards

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/data-dashboards" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "销售概览",
    "description": "按日查看销售数据",
    "sources": [{"table_id": 1001}]
  }'

Request body

ParameterTypeRequiredDescription
namestringRequiredData dashboard name.
descriptionstringRequiredData dashboard description.
sourcesarrayRequiredList of data sources.
sources[].table_idintegerRequiredData source table ID.

Successful response

When the creation is successful, the HTTP status code is 201, and the code in the response body is 0.

JSON
{
  "code": 0,
  "data": {
    "ID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
    "Name": "销售概览",
    "Description": "按日查看销售数据",
    "CreatedByRoleID": "role-001",
    "CreatedAt": "2026-08-21T07:00:00Z",
    "UpdatedAt": "2026-08-21T07:00:00Z"
  }
}

The response fields are as follows.

Field

Type

Description

data.ID

string

Data dashboard ID.

data.Name

string

Data dashboard name.

data.Description

string

Data dashboard description.

data.CreatedByRoleID

string

The role ID used when creating the data dashboard.

data.CreatedAt

string

Creation time.

data.UpdatedAt

string

Update time.

Error response

JSON
{
  "code": 2,
  "message": "invalid argument",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_INVALID_REQUEST"
  }
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.

Follow-up operations

Record data.ID, then create chart.

Last updated on